using API.Models.DataClasses;
using API.Models.Game;

namespace API.Repository.GameRepo;

public interface IGameRepository
{
    public List<Game> GetAll();
    public Game? GetOne(string id);
    public Game? GetOne(SixDigitInt gameCode);
    public Game? GetOneByConnectionId(string connectionId);
    public Game Create(Coordinates gameFieldSize);
    public void Destroy(string id);
}